Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596858 - backtrace from gdk_x_error with error message
Summary: backtrace from gdk_x_error with error message
Keywords:
Status: CLOSED DUPLICATE of bug 583347
Alias: None
Product: Fedora
Classification: Fedora
Component: seamonkey
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kai Engert (:kaie) (inactive account)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 16:31 UTC by Zing
Modified: 2018-04-11 14:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-28 16:01:00 UTC


Attachments (Terms of Use)

Description Zing 2010-05-27 16:31:57 UTC
Description of problem:
In the hopes this is useful to someone, I ran with --sync and got the trace from gdk_x_error for the recent seamonkey crashes.

Version-Release number of selected component (if applicable):

seamonkey-2.0.4-1.fc13.x86_64

How reproducible:
crash happens seemingly randomly every few minutes.

Steps to Reproduce:
1. run seamonkey
  
Actual results:
Gdk-ERROR **: The program 'seamonkey-bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 2088328 error_code 159 request_code 148 minor_code 7)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...
/usr/lib64/seamonkey-2.0.4/run-mozilla.sh: line 131: 27910 Aborted                 "$prog" ${1+"$@"}


Expected results:
no crash

Additional info:

#0  gdk_x_error (display=<value optimized out>, error=<value optimized out>) at gdkmain-x11.c:466
#1  0x00000033b1a46b24 in _XError (dpy=0x7f97b2b59000, rep=0x7f979cd0e3d0) at XlibInt.c:3103
#2  0x00000033b1a4cf7c in process_responses (dpy=0x7f97b2b59000, wait_for_first_event=0, 
    current_error=0x7fff1b9ea690, current_request=2088329) at xcb_io.c:214
#3  0x00000033b1a4d610 in _XReply (dpy=0x7f97b2b59000, rep=0x7fff1b9ea6e0, extra=0, discard=1)
    at xcb_io.c:464
#4  0x00000033b1a41093 in XSync (dpy=0x7f97b2b59000, discard=0) at Sync.c:48
#5  0x00000033b1a4124b in _XSyncFunction (dpy=<value optimized out>) at Synchro.c:37
#6  0x00000033b6e45ee6 in _cairo_xlib_surface_finish (abstract_surface=0x7f97a2fb0660)
    at cairo-xlib-surface.c:298
#7  0x00000033b6e2c866 in cairo_surface_finish (surface=0x7f97a2fb0660) at cairo-surface.c:530
#8  0x00000033b6e2c8d5 in cairo_surface_destroy (surface=0x7f97a2fb0660) at cairo-surface.c:435
#9  0x000000000115698c in gfxASurface::Release (this=0x7f97a3979840) at gfxASurface.cpp:102
#10 0x00000000006bddd9 in assign_assuming_AddRef (this=0x7f97a658b080)
    at ../../../dist/include/xpcom/nsAutoPtr.h:944
#11 assign_with_AddRef (this=0x7f97a658b080) at ../../../dist/include/xpcom/nsAutoPtr.h:928
#12 operator= (this=0x7f97a658b080) at ../../../dist/include/xpcom/nsAutoPtr.h:1003
#13 nsWindow::Destroy (this=0x7f97a658b080) at nsWindow.cpp:787
#14 0x00000000009853ea in nsView::~nsView (this=0x7f97a3163080, __in_chrg=<value optimized out>)
    at nsView.cpp:272
#15 0x0000000000985469 in nsView::~nsView (this=0x7f97a3163080, __in_chrg=<value optimized out>)
    at nsView.cpp:281
#16 0x00000000007477e4 in nsFrame::Destroy (this=0x7f97a31b1248) at nsFrame.cpp:535
#17 0x000000000074102b in nsContainerFrame::Destroy (this=0x7f97a31b1248) at nsContainerFrame.cpp:305
#18 0x000000000070c318 in nsFrameManager::Destroy (this=0x7f97a32b2038) at nsFrameManager.cpp:292
#19 0x0000000000721ccf in PresShell::Destroy (this=0x7f97a32b2000) at nsPresShell.cpp:1949
#20 0x00000000007057e7 in DocumentViewerImpl::DestroyPresShell (this=0x7f97a38c6e80)
    at nsDocumentViewer.cpp:4329
#21 0x00000000007076b2 in DocumentViewerImpl::Destroy (this=0x7f97a38c6e80)
    at nsDocumentViewer.cpp:1603
#22 0x0000000000cebf50 in nsSHEntry::~nsSHEntry (this=0x7f97a3a7a4a0, __in_chrg=<value optimized out>)
    at nsSHEntry.cpp:163
#23 0x0000000000cec1aa in nsSHEntry::Release (this=0x7f97a3a7a4a0) at nsSHEntry.cpp:182
#24 0x0000000000cec7b8 in ~nsCOMPtr (this=0x7f97a6596bb0, __in_chrg=<value optimized out>)
    at ../../../dist/include/xpcom/nsCOMPtr.h:469
#25 nsSHTransaction::~nsSHTransaction (this=0x7f97a6596bb0, __in_chrg=<value optimized out>)
    at nsSHTransaction.cpp:54
#26 0x0000000000cec7f9 in nsSHTransaction::~nsSHTransaction (this=0x7f97a6596bb0, 
    __in_chrg=<value optimized out>) at nsSHTransaction.cpp:54
#27 0x0000000000cec56b in nsSHTransaction::Release (this=<value optimized out>)
    at nsSHTransaction.cpp:61
#28 0x0000000000cec7f9 in nsSHTransaction::~nsSHTransaction (this=0x7f97a6596b80, 
    __in_chrg=<value optimized out>) at nsSHTransaction.cpp:54
#29 0x0000000000cec56b in nsSHTransaction::Release (this=<value optimized out>)
    at nsSHTransaction.cpp:61
#30 0x0000000000cec7f9 in nsSHTransaction::~nsSHTransaction (this=0x7f97a6596b50, 
    __in_chrg=<value optimized out>) at nsSHTransaction.cpp:54
#31 0x0000000000cec56b in nsSHTransaction::Release (this=<value optimized out>)
    at nsSHTransaction.cpp:61
#32 0x0000000000ced7d9 in nsSHistory::~nsSHistory (this=0x7f97a39918e0, 
    __in_chrg=<value optimized out>) at nsSHistory.cpp:142
#33 0x0000000000cec88e in nsSHistory::Release (this=<value optimized out>) at nsSHistory.cpp:149
#34 0x000000000055fd77 in XPCJSRuntime::GCCallback (cx=0x7f97a8daa400, status=<value optimized out>)
    at xpcjsruntime.cpp:776
#35 0x000000000098cf83 in DOMGCCallback (cx=<value optimized out>, status=JSGC_END)
    at nsJSEnvironment.cpp:3714
#36 0x00007f97b3be1586 in js_GC (cx=<value optimized out>, gckind=<value optimized out>)
    at jsgc.cpp:3792
#37 0x00000000005471f7 in nsXPConnect::Collect (this=0x7f97ab90c1c0) at nsXPConnect.cpp:477
#38 0x00007f97b3743593 in nsCycleCollector::Collect (this=0x7f97aba54000, aTryCollections=1)
    at nsCycleCollector.cpp:2389
#39 0x000000000098d120 in nsJSContext::CC () at nsJSEnvironment.cpp:3534
#40 0x000000000098d226 in nsJSContext::MaybeCC (aHigherProbability=1) at nsJSEnvironment.cpp:3602
#41 0x000000000098d3fb in GCTimerFired (aTimer=<value optimized out>, aClosure=<value optimized out>)
    at nsJSEnvironment.cpp:3642
#42 0x00007f97b3738a56 in nsTimerImpl::Fire (this=0x7f979d9c6060) at nsTimerImpl.cpp:420
#43 0x00007f97b3738b28 in nsTimerEvent::Run (this=<value optimized out>) at nsTimerImpl.cpp:512
#44 0x00007f97b3734e64 in nsThread::ProcessNextEvent (this=0x7f97b2b45310, mayWait=1, result=
    0x7fff1b9f2c6c) at nsThread.cpp:521
#45 0x00007f97b36fa7f4 in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=<value optimized out>) at nsThreadUtils.cpp:247
#46 0x00000000006a2705 in nsBaseAppShell::Run (this=0x7f97abaff6a0) at nsBaseAppShell.cpp:170
  43 Thread 0x7f97a52fe710 (LWP 29099)  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
  27 Thread 0x7f97a18ff710 (LWP 28382)  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
  26 Thread 0x7f979f3ff710 (LWP 28381)  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
  22 Thread 0x7f97a48fd710 (LWP 28214)  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
  9 Thread 0x7f97ab673710 (LWP 27911)  0x00000033af2d7e13 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
  8 Thread 0x7f97aaa67710 (LWP 27912)  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
  7 Thread 0x7f97a9dff710 (LWP 27913)  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
  6 Thread 0x7f97a7a16710 (LWP 27916)  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
  5 Thread 0x7f97a7015710 (LWP 27917)  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
  2 Thread 0x7f97a5cff710 (LWP 27924)  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
* 1 Thread 0x7f97b2ddc960 (LWP 27910)  gdk_x_error (display=<value optimized out>, 
    error=<value optimized out>) at gdkmain-x11.c:466

Comment 1 Matěj Cepl 2010-05-28 16:01:00 UTC

*** This bug has been marked as a duplicate of bug 583347 ***


Note You need to log in before you can comment on or make changes to this bug.